Subject: Re: bug#68660: 29.2; ELPA: Wrong type argument w. multiple maintainers in package-menu-mode

From: "J.P." <[email-masked]>
Date: Wed, 24 Jan 2024 09:57:06 -0800

Stefan Monnier <[email-masked]> writes:

>>>> I can see several ways to "fix" this, but I think the simplest would be
>> Would one of those several ways possibly include overriding the
>> `package-desc-extras' :maintainer item scraped by `lm-maintainers' with
>> a spec item from an elpa-packages entry? I see that support for a
>> `:maintainer' keyword was recently added, but it appears to serve some
>> other purpose. Anyway, I've attached a sketch of what I'm trying to
>> describe, but I'm rather unfamiliar with this program.
>
> Hmm... this requires manual work per package, and it drops support for
> multiple maintainers altogether, so I'd rather not go there.  I was
> thinking instead of making `:maintainer` hold only a single item (the
> improper list thingy) and use `:maintainers` to hold the list of
> maintainers when there's more than one, which would be more
> backward compatible and would solve the problem for all packages.

Yes, what you describe definitely seems preferable. So, I guess
`:maintainer' (singular) will always be populated no matter what, for
the benefit of legacy clients who only speak the one. And newer clients
will be taught to always first check `:maintainers' (plural).

Please let me know if anything is required from ERC to make this a
reality. And, of course, I very much appreciate your taking the time.